server:
  rundir: "/tmp"
  user: "knot:knot"
  listen: "0.0.0.0@53"
  listen: "::@53"

acl:
- id: update_acl
  address: [172.19.0.0/24, fd00:acab:{{ ansible_ecumen.macaddress | regex_replace(':') | regex_replace('([a-f0-9]{4})', '\\1:') }}:/80]
  action: update
  update-type: [AAAA]

mod-rrl:
- id: "default"
  rate-limit: 200

mod-stats:
- id: "default"
  edns-presence: true
  flag-presence: true
  request-edns-option: true
  response-edns-option: true
  reply-nodata: true
  query-type: true
  query-size: true
  reply-size: true

template:
- id: "default"
  storage: "{{ directories.knot }}"
  file: "%s.zone"
  global-module: "mod-cookies"
  global-module: "mod-stats/default"
  global-module: "mod-rrl/default"

zone:
- domain: "{{ sutty }}"
- domain: "{{ inventory_hostname }}"
  acl: update_acl
{% if dns.domains is defined %}
{% for domain in dns.domains %}
- domain: "{{ domain.name }}"
{% endfor %}
{% endif %}
{% if dns.manual_zones is defined %}
{% for zone in dns.manual_zones %}
- domain: "{{ zone }}"
{% endfor %}
{% endif %}

database:
  storage: "{{ directories.knot }}"

statistics:
  timer: 60
